Saut de ligne non reconnu en ligne de code [Thème Amazica]

  • WordPress :5.2
  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 17)
  • Auteur
    Messages
  • #2258903
    Pierrot
    Participant
    Initié WordPress
    23 contributions

    Bonjour à tous les fada de wordpress 😀

    Ma configuration WP actuelle

    Version de PHP/MySQL :

      <li style= »list-style-type: none; »>
    • Serveur : sql-1 via TCP/IP
    • Type de serveur : MySQL
    • Version du serveur : 5.5.59-0+deb7u1 – (Debian)
    • Version du protocole : 10

    Jeu de caractères du serveur : UTF-8 Unicode (utf8)

      <li style= »list-style-type: none; »>
      Apache

    Version du client de base de données : libmysql – mysqlnd 5.0.12-dev – 20150407

    Extension PHP : mysqli Documentation

      Version : 4.2.11, dernière version stable : 4.8.5
    • Thème utilisé : Amazica [version gratuite]
    • Extensions en place : ThemeFarmer Companion, Akismet Anti-Spam, Hello Dolly
    • Nom de l’hébergeur : firstheberg
    • Adresse du site : http://appart-ax.fr

     

    Problème(s) rencontré(s) :

    Lors de la mise en place de texte, via l’éditeur interactif dès que je met en place des saut de ligne, sur la maquette, pas de soucis mais dès lors que je passe en publication mes lignes de codes ne sont pas reconnu et les balises apparaissent notamment dans la partie service (ex: Notre appartement est équipé tout confort: <hr/>-Plaque de cuisson <hr/>- Four électrique </br>- Micro Onde </br>- Cafetière </br>- )

    Du coup j’aimerai que les sauts de ligne apparaissent mais j’ai essayé tout en ligne de code mais rien y fait… Des idées ??

     

    Merci d’avance la commu !

    • Ce sujet a été modifié le il y a 2 weeks et 4 jours par  Pierrot.
    #2258913
    PhiLyon
    Modérateur
    Maître WordPress
    22592 contributions

    Bonjour.

    Quelle est ta version de PHP exactement, là c’est pas clair.

    🙂

    #2258940
    Pierrot
    Participant
    Initié WordPress
    23 contributions

    Salut Phil

    Je viens de le passer en 7.0 il me semble 😊 en espérant que ça aide

    #2258943
    PhiLyon
    Modérateur
    Maître WordPress
    22592 contributions

    7.2 est plus adapté à WordPress 5.1.1

    🙂

    • Cette réponse a été modifiée le il y a 2 weeks et 3 jours par  PhiLyon. Raison: Erreur de frappe
    #2258948
    Pierrot
    Participant
    Initié WordPress
    23 contributions

    Ah’ et comment je fais pour passer en 7.2 ? 😁

    Mais en quoi cela change les problèmes de sauts de ligne ? 🤔

    En tout cas je vais suivre les conseils !

    😊 Merci

    #2258960
    Li-An
    Modérateur
    Maître WordPress
    21677 contributions

    Bonjour, WP filtre le code et les sauts de ligne sont filtrés en effet. Il y a plusieurs solutions possibles dont celle-là https://foxprime.net/2015/01/un-retour-a-la-ligne-sous-wordpress-qui-resiste-a-lediteur-visuel/

    #2258990
    Pierrot
    Participant
    Initié WordPress
    23 contributions

    Salut, merci pour ta réponse, je viens d’essayé avec le code qu’il propose

    <br style="clear:both;" />
    
    Mais même problème, rien y fait ...
    #2258991
    Pierrot
    Participant
    Initié WordPress
    23 contributions

    Et ma version de worpdress est la 5.1.1 donc quel version de php correspond la mieux ?

    Merci 😀

    #2259021
    Li-An
    Modérateur
    Maître WordPress
    21677 contributions

    php 7.2 est conseillé. Bon, si vous voulez faire des listings dans des articles, je vous propose plutôt de vous tourner vers les champs personnalisés et l’extension ACF (mais ça nécessitera de retravailler via un thème enfant) ou préserver les sauts de ligne https://www.webhostinghero.com/blog/preserve-line-breaks-and-formatting-in-wordpress/

    #2259094
    Pierrot
    Participant
    Initié WordPress
    23 contributions

    D’accord merci mais je ne peu pas conserver mes affichages actuels en faisait un listing et des sauts de ligne avec une simple extension ??

    Ça paraît bizard quand même

    #2259099
    Li-An
    Modérateur
    Maître WordPress
    21677 contributions

    Le bout de code, ça revient à une extension en plus léger. Peut-être ça https://fr.wordpress.org/plugins/toggle-wpautop/ mais vous n’êtes pas dispensé de chercher vous-même maintenant que vous avez des pistes. https://fr.wordpress.org/plugins/search/wpautop/

    #2259130
    Pierrot
    Participant
    Initié WordPress
    23 contributions

    Je ne comprends tjs pas. Je suis obligé de passé par mon éditeur pour la mise en page mais rien ne reconnais quoi que ça soit .. :/

    #2259131
    Li-An
    Modérateur
    Maître WordPress
    21677 contributions

    Je n’ai pas compris cette dernière phrase.

    #2259179
    Pierrot
    Participant
    Initié WordPress
    23 contributions

    Ben pour l’édition de mon thème et des éléments je passe par une interface de modification en direct ou je clic sur l’élément et je modifie je contenue. Du coup aucune extension ne me permet de faire les sauts de lignes.

    Il n’y a pas un moyen d’activer les balises de code de saut de ligne en modifiant un fichier ?

    #2259183
    Li-An
    Modérateur
    Maître WordPress
    21677 contributions

    Vous modifiez le thème via l’admin ? C’est totalement déconseillé. Vous devez téléchargez les fichiers par FTP et les renvoyer ensuite sur le serveur. Par contre, c’est du pur php et HTML et WP ne modifie rien à ce niveau.

15 sujets de 1 à 15 (sur un total de 17)
  • Vous devez être connecté pour répondre à ce sujet.